before_script:
   - echo "" | sudo -S apt-get -qq purge -y pd-l2ork > /dev/null || echo "couldn't purge..."
   - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y update > /dev/null
   - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y upgrade > /dev/null

debian_stable_i386_deb:
   tags:
     - debian
     - stable
     - i386
   script:
     - echo `pwd`
     - cd l2ork_addons
     - ./tar_em_up.sh -B
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

debian_stable_amd64_deb:
   tags:
     - debian
     - stable
     - amd64
   script:
     - echo `pwd`
     - cd l2ork_addons
     - ./tar_em_up.sh -B
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

ubuntu_14.04_i386_deb:
   tags:
     - ubuntu
     - v14.04
     - i386
   script:
     - echo `pwd`
     - cd l2ork_addons
     - ./tar_em_up.sh -B
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

ubuntu_14.04_amd64_deb:
   tags:
     - ubuntu
     - v14.04
     - amd64
   script:
     - echo `pwd`
     - cd l2ork_addons
     - ./tar_em_up.sh -B
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

ubuntu_16.04_amd64_deb:
   tags:
     - ubuntu
     - v16.04
     - amd64
   script:
     - echo `pwd`
     - cd l2ork_addons
     - ./tar_em_up.sh -B
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

osx_amd64_dmg:
   tags:
     - osx
     - v10.11
     - dmg
   script:
     - echo `pwd`
     - cd l2ork_addons
     - ./tar_em_up.sh -X
   artifacts:
     expire_in: 1 day
     paths:
       - packages/darwin_app/*.dmg
